Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4510)
@@ -18,4 +18,5 @@
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
@@ -26,20 +27,23 @@
 ! -----------------
 ! $Id$
-! file re-formatted to follow the PALM coding standard
+! Further re-formatting to follow the PALM coding standard
+!
+! 4509 2020-04-26 15:57:55Z raasch
+! File re-formatted to follow the PALM coding standard
 !
 ! 4500 2020-04-17 10:12:45Z suehring
 ! Allocate array for wall heat flux, which is further used to aggregate tile
 ! fractions in the surface output
-! 
+!
 ! 4495 2020-04-13 20:11:20Z raasch
-! restart data handling with MPI-IO added
+! Restart data handling with MPI-IO added
 !
 ! 4493 2020-04-10 09:49:43Z pavelkrc
 ! J.Resler, 2020/03/19
-! - remove reading of deprecated input parameters c_surface and lambda_surf
-! - and calculate them from parameters of the outer wall/roof layer
+! - Remove reading of deprecated input parameters c_surface and lambda_surf
+! - And calculate them from parameters of the outer wall/roof layer
 !
 ! 4481 2020-03-31 18:55:54Z maronga
-! use statement for exchange horiz added
+! Use statement for exchange horiz added
 !
 ! 4442 2020-03-04 19:21:13Z suehring
@@ -80,5 +84,5 @@
 !
 ! 4227 2019-09-10 18:04:34Z gronemeier
-! implement new palm_date_time_mod
+! Implement new palm_date_time_mod
 !
 ! 4214 2019-09-02 15:57:02Z suehring
@@ -152,5 +156,5 @@
 !
 ! 3832 2019-03-28 13:16:58Z raasch
-! instrumented with openmp directives
+! Instrumented with openmp directives
 !
 ! 3824 2019-03-27 15:56:16Z pavelkrc
@@ -159,11 +163,11 @@
 !
 ! 3814 2019-03-26 08:40:31Z pavelkrc
-! unused subroutine commented out
+! Unused subroutine commented out
 !
 ! 3769 2019-02-28 10:16:49Z moh.hefny
-! removed unused variables
+! Removed unused variables
 !
 ! 3767 2019-02-27 08:18:02Z raasch
-! unused variables removed from rrd-subroutines parameter list
+! Unused variables removed from rrd-subroutines parameter list
 !
 ! 3748 2019-02-18 10:38:31Z suehring
@@ -172,10 +176,10 @@
 ! 3745 2019-02-15 18:57:56Z suehring
 ! - Remove internal flag indoor_model (is a global control parameter)
-! - add waste heat from buildings to the kinmatic heat flux
-! - consider waste heat in restart data
-! - remove unused USE statements
+! - Add waste heat from buildings to the kinmatic heat flux
+! - Consider waste heat in restart data
+! - Remove unused USE statements
 !
 ! 3744 2019-02-15 18:38:58Z suehring
-! fixed surface heat capacity in the building parameters convert the file back to unix format
+! Fixed surface heat capacity in the building parameters convert the file back to unix format
 !
 ! 3730 2019-02-11 11:26:47Z moh.hefny
@@ -186,5 +190,5 @@
 !
 ! 3705 2019-01-29 19:56:39Z suehring
-! make nzb_wall public, required for virtual-measurements
+! Make nzb_wall public, required for virtual-measurements
 !
 ! 3704 2019-01-29 19:51:41Z suehring
@@ -208,10 +212,10 @@
 !> Module for Urban Surface Model (USM)
 !> The module includes:
-!>    1. radiation model with direct/diffuse radiation, shading, reflections and integration with
+!>    1. Radiation model with direct/diffuse radiation, shading, reflections and integration with
 !>       plant canopy
-!>    2. wall and wall surface model
-!>    3. surface layer energy balance
-!>    4. anthropogenic heat (only from transportation so far)
-!>    5. necessary auxiliary subroutines (reading inputs, writing outputs, restart simulations, ...)
+!>    2. Wall and wall surface model
+!>    3. Surface layer energy balance
+!>    4. Anthropogenic heat (only from transportation so far)
+!>    5. Necessary auxiliary subroutines (reading inputs, writing outputs, restart simulations, ...)
 !> It also makes use of standard radiation and integrates it into urban surface model.
 !>
@@ -223,5 +227,5 @@
 !> fraq(0,m) + fraq(1,m) = 0?!
 !> @todo Use unit 90 for OPEN/CLOSE of input files (FK)
-!> @todo remove reading of old csv inputs
+!> @todo Remove reading of old csv inputs
 !--------------------------------------------------------------------------------------------------!
  MODULE urban_surface_mod
@@ -418,6 +422,6 @@
                                  /), (/ 4, 7 /) )
 !
-!-- value 9999999.9_wp -> generic available or user-defined value must be set otherwise
-!-- -> no generic variable and user setting is optional
+!-- Value 9999999.9_wp -> Generic available or user-defined value must be set otherwise
+!-- -> No generic variable and user setting is optional
     REAL(wp) ::  alpha_vangenuchten = 9999999.9_wp      !< NAMELIST alpha_vg
     REAL(wp) ::  field_capacity = 9999999.9_wp          !< NAMELIST fc
@@ -430,5 +434,5 @@
 
 !
-!-- configuration parameters (they can be setup in PALM config)
+!-- Configuration parameters (they can be setup in PALM config)
     LOGICAL ::  force_radiation_call_l = .FALSE.   !< flag parameter for unscheduled radiation model calls
     LOGICAL ::  read_wall_temp_3d = .FALSE.        !<
@@ -645,5 +649,5 @@
     TYPE(surf_type_usm), TARGET   ::  tm_liq_usm_h_m  !< liquid water reservoir tendency (m), horizontal surface elements
 !
-!-- anthropogenic heat sources
+!-- Anthropogenic heat sources
     INTEGER(iwp)                                   ::  naheatlayers = 1  !< number of layers of anthropogenic heat
 
@@ -653,6 +657,6 @@
 
 !
-!-- wall surface model
-!-- wall surface model constants
+!-- Wall surface model
+!-- Wall surface model constants
     INTEGER(iwp), PARAMETER                        ::  nzb_wall = 0  !< inner side of the wall model (to be switched)
     INTEGER(iwp), PARAMETER                        ::  nzt_wall = 3  !< outer side of the wall model (to be switched)
@@ -680,5 +684,5 @@
 
 !
-!-- surface and material model variables for walls, ground, roofs
+!-- Surface and material model variables for walls, ground, roofs
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  zwn                 !< normalized wall layer depths (m)
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  zwn_green           !< normalized green layer depths (m)
@@ -715,5 +719,5 @@
 !
 !-- Energy balance variables
-!-- parameters of the land, roof and wall surfaces
+!-- Parameters of the land, roof and wall surfaces
     REAL(wp), DIMENSION(:,:), POINTER                ::  fc_h          !<
     REAL(wp), DIMENSION(:,:), POINTER                ::  rootfr_h      !<
@@ -763,5 +767,5 @@
 !
 !-- Surface and material parameter classes (surface_type)
-!-- albedo, emissivity, lambda_surf, roughness, thickness, volumetric heat capacity, thermal conductivity
+!-- Albedo, emissivity, lambda_surf, roughness, thickness, volumetric heat capacity, thermal conductivity
     CHARACTER(12), DIMENSION(:), ALLOCATABLE  ::  surface_type_names    !< names of wall types (used only for reports)
 
@@ -790,5 +794,5 @@
 
 !
-!-- interfaces of subroutines accessed from outside of this module
+!-- Interfaces of subroutines accessed from outside of this module
     INTERFACE usm_3d_data_averaging
        MODULE PROCEDURE usm_3d_data_averaging
@@ -923,6 +927,6 @@
 !
 !-- Wall surface model
-!-- allocate arrays for wall surface model and define pointers
-!-- allocate array of wall types and wall parameters
+!-- Allocate arrays for wall surface model and define pointers
+!-- Allocate array of wall types and wall parameters
     ALLOCATE ( surf_usm_h%surface_types(1:surf_usm_h%ns)      )
     ALLOCATE ( surf_usm_h%building_type(1:surf_usm_h%ns)      )
@@ -984,5 +988,5 @@
 
 !
-!-- wall and roof surface parameters. First for horizontal surfaces
+!-- Wall and roof surface parameters. First for horizontal surfaces
     ALLOCATE ( surf_usm_h%isroof_surf(1:surf_usm_h%ns)        )
     ALLOCATE ( surf_usm_h%lambda_surf(1:surf_usm_h%ns)        )
@@ -1020,5 +1024,5 @@
 
 !
-!-- allocate wall and roof material parameters. First for horizontal surfaces
+!-- Allocate wall and roof material parameters. First for horizontal surfaces
     ALLOCATE ( surf_usm_h%thickness_wall(1:surf_usm_h%ns)                    )
     ALLOCATE ( surf_usm_h%thickness_window(1:surf_usm_h%ns)                  )
@@ -1055,5 +1059,5 @@
 
 !
-!-- allocate green wall and roof vegetation and soil parameters. First horizontal surfaces
+!-- Allocate green wall and roof vegetation and soil parameters. First horizontal surfaces
     ALLOCATE ( surf_usm_h%g_d(1:surf_usm_h%ns)              )
     ALLOCATE ( surf_usm_h%c_liq(1:surf_usm_h%ns)            )
@@ -1077,5 +1081,5 @@
 
 !
-!-- allocate wall and roof layers sizes. For horizontal surfaces.
+!-- Allocate wall and roof layers sizes. For horizontal surfaces.
     ALLOCATE ( zwn(nzb_wall:nzt_wall)                                        )
     ALLOCATE ( surf_usm_h%dz_wall(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)       )
@@ -1326,8 +1330,8 @@
 
 
-    IF ( variable(1:4) == 'usm_' )  THEN  ! is such a check really required?
-
-!
-!-- find the real name of the variable
+    IF ( variable(1:4) == 'usm_' )  THEN  ! Is such a check really required?
+
+!
+!-- Find the real name of the variable
     ids = -1
     l = -1
@@ -1343,5 +1347,5 @@
        ENDIF
     ENDDO
-    l = idsint - 2  ! horizontal direction index - terrible hack !
+    l = idsint - 2  ! Horizontal direction index - terrible hack !
     IF ( l < 0 .OR. l > 3 )  THEN
        l = -1
@@ -1352,5 +1356,5 @@
     IF ( var(1:11) == 'usm_t_wall_'  .AND.  len( TRIM( var ) ) >= 12 )  THEN
 !
-!--      wall layers
+!--      Wall layers
         READ( var(12:12), '(I1)', iostat=istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -1358,5 +1362,5 @@
         ELSE
 !
-!--         wrong wall layer index
+!--         Wrong wall layer index
             RETURN
         ENDIF
@@ -1364,5 +1368,5 @@
     IF ( var(1:13) == 'usm_t_window_'  .AND.  len( TRIM(var) ) >= 14 )  THEN
 !
-!--      wall layers
+!--      Wall layers
         READ( var(14:14), '(I1)', iostat=istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -1370,5 +1374,5 @@
         ELSE
 !
-!--         wrong window layer index
+!--         Wrong window layer index
             RETURN
         ENDIF
@@ -1376,5 +1380,5 @@
     IF ( var(1:12) == 'usm_t_green_'  .AND.  len( TRIM( var ) ) >= 13 )  THEN
 !
-!--      wall layers
+!--      Wall layers
         READ( var(13:13), '(I1)', iostat=istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -1382,5 +1386,5 @@
         ELSE
 !
-!--         wrong green layer index
+!--         Wrong green layer index
             RETURN
         ENDIF
@@ -1388,5 +1392,5 @@
     IF ( var(1:8) == 'usm_swc_'  .AND.  len( TRIM( var ) ) >= 9 )  THEN
 !
-!--      swc layers
+!--      Swc layers
         READ( var(9:9), '(I1)', iostat=istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -1394,5 +1398,5 @@
         ELSE
 !
-!--         wrong swc layer index
+!--         Wrong swc layer index
             RETURN
         ENDIF
@@ -1405,6 +1409,6 @@
             CASE ( 'usm_wshf' )
 !
-!--             array of sensible heat flux from surfaces
-!--             land surfaces
+!--             Array of sensible heat flux from surfaces
+!--             Land surfaces
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%wshf_eb_av ) )  THEN
@@ -1421,6 +1425,6 @@
             CASE ( 'usm_qsws' )
 !
-!--             array of latent heat flux from surfaces
-!--             land surfaces
+!--             Array of latent heat flux from surfaces
+!--             Land surfaces
                 IF ( l == -1 .AND. .NOT.  ALLOCATED( surf_usm_h%qsws_av ) )  THEN
                     ALLOCATE ( surf_usm_h%qsws_av(1:surf_usm_h%ns) )
@@ -1435,6 +1439,6 @@
             CASE ( 'usm_qsws_veg' )
 !
-!--             array of latent heat flux from vegetation surfaces
-!--             land surfaces
+!--             Array of latent heat flux from vegetation surfaces
+!--             Land surfaces
                 IF ( l == -1 .AND. .NOT.  ALLOCATED( surf_usm_h%qsws_veg_av ) )  THEN
                     ALLOCATE ( surf_usm_h%qsws_veg_av(1:surf_usm_h%ns) )
@@ -1449,6 +1453,6 @@
             CASE ( 'usm_qsws_liq' )
 !
-!--             array of latent heat flux from surfaces with liquid
-!--             land surfaces
+!--             Array of latent heat flux from surfaces with liquid
+!--             Land surfaces
                 IF ( l == -1 .AND. .NOT.  ALLOCATED( surf_usm_h%qsws_liq_av ) )  THEN
                     ALLOCATE ( surf_usm_h%qsws_liq_av(1:surf_usm_h%ns) )
@@ -1466,5 +1470,5 @@
             CASE ( 'usm_wghf' )
 !
-!--             array of heat flux from ground (wall, roof, land)
+!--             Array of heat flux from ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%wghf_eb_av ) )  THEN
@@ -1481,5 +1485,5 @@
             CASE ( 'usm_wghf_window' )
 !
-!--             array of heat flux from window ground (wall, roof, land)
+!--             Array of heat flux from window ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%wghf_eb_window_av ) )  THEN
@@ -1496,5 +1500,5 @@
             CASE ( 'usm_wghf_green' )
 !
-!--             array of heat flux from green ground (wall, roof, land)
+!--             Array of heat flux from green ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%wghf_eb_green_av ) )  THEN
@@ -1511,5 +1515,5 @@
             CASE ( 'usm_iwghf' )
 !
-!--             array of heat flux from indoor ground (wall, roof, land)
+!--             Array of heat flux from indoor ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%iwghf_eb_av ) )  THEN
@@ -1526,5 +1530,5 @@
             CASE ( 'usm_iwghf_window' )
 !
-!--             array of heat flux from indoor window ground (wall, roof, land)
+!--             Array of heat flux from indoor window ground (wall, roof, land)
                 IF ( l == -1 ) THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%iwghf_eb_window_av ) )  THEN
@@ -1541,5 +1545,5 @@
             CASE ( 'usm_t_surf_wall' )
 !
-!--             surface temperature for surfaces
+!--             Surface temperature for surfaces
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%t_surf_wall_av ) )  THEN
@@ -1556,5 +1560,5 @@
             CASE ( 'usm_t_surf_window' )
 !
-!--             surface temperature for window surfaces
+!--             Surface temperature for window surfaces
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%t_surf_window_av ) )  THEN
@@ -1571,5 +1575,5 @@
             CASE ( 'usm_t_surf_green' )
 !
-!--             surface temperature for green surfaces
+!--             Surface temperature for green surfaces
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%t_surf_green_av ) )  THEN
@@ -1586,5 +1590,5 @@
             CASE ( 'usm_theta_10cm' )
 !
-!--             near surface (10cm) temperature for whole surfaces
+!--             Near surface (10cm) temperature for whole surfaces
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%pt_10cm_av ) )  THEN
@@ -1601,5 +1605,5 @@
             CASE ( 'usm_t_wall' )
 !
-!--             wall temperature for iwl layer of walls and land
+!--             Wall temperature for iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%t_wall_av ) )  THEN
@@ -1616,5 +1620,5 @@
             CASE ( 'usm_t_window' )
 !
-!--             window temperature for iwl layer of walls and land
+!--             Window temperature for iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%t_window_av ) )  THEN
@@ -1631,5 +1635,5 @@
             CASE ( 'usm_t_green' )
 !
-!--             green temperature for iwl layer of walls and land
+!--             Green temperature for iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    IF ( .NOT.  ALLOCATED( surf_usm_h%t_green_av ) )  THEN
@@ -1645,5 +1649,5 @@
             CASE ( 'usm_swc' )
 !
-!--             soil water content for iwl layer of walls and land
+!--             Soil water content for iwl layer of walls and land
                 IF ( l == -1 .AND. .NOT.  ALLOCATED( surf_usm_h%swc_av ) )  THEN
                     ALLOCATE ( surf_usm_h%swc_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
@@ -1667,5 +1671,5 @@
             CASE ( 'usm_wshf' )
 !
-!--             array of sensible heat flux from surfaces (land, roof, wall)
+!--             Array of sensible heat flux from surfaces (land, roof, wall)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1681,5 +1685,5 @@
             CASE ( 'usm_qsws' )
 !
-!--             array of latent heat flux from surfaces (land, roof, wall)
+!--             Array of latent heat flux from surfaces (land, roof, wall)
                 IF ( l == -1 ) THEN
                 DO  m = 1, surf_usm_h%ns
@@ -1695,5 +1699,5 @@
             CASE ( 'usm_qsws_veg' )
 !
-!--             array of latent heat flux from vegetation surfaces (land, roof, wall)
+!--             Array of latent heat flux from vegetation surfaces (land, roof, wall)
                 IF ( l == -1 )  THEN
                 DO  m = 1, surf_usm_h%ns
@@ -1709,5 +1713,5 @@
             CASE ( 'usm_qsws_liq' )
 !
-!--             array of latent heat flux from surfaces with liquid (land, roof, wall)
+!--             Array of latent heat flux from surfaces with liquid (land, roof, wall)
                 IF ( l == -1 ) THEN
                 DO  m = 1, surf_usm_h%ns
@@ -1724,5 +1728,5 @@
             CASE ( 'usm_wghf' )
 !
-!--             array of heat flux from ground (wall, roof, land)
+!--             Array of heat flux from ground (wall, roof, land)
                 IF ( l == -1 ) THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1739,5 +1743,5 @@
             CASE ( 'usm_wghf_window' )
 !
-!--             array of heat flux from window ground (wall, roof, land)
+!--             Array of heat flux from window ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1754,5 +1758,5 @@
             CASE ( 'usm_wghf_green' )
 !
-!--             array of heat flux from green ground (wall, roof, land)
+!--             Array of heat flux from green ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1769,5 +1773,5 @@
             CASE ( 'usm_iwghf' )
 !
-!--             array of heat flux from indoor ground (wall, roof, land)
+!--             Array of heat flux from indoor ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1783,5 +1787,5 @@
             CASE ( 'usm_iwghf_window' )
 !
-!--             array of heat flux from indoor window ground (wall, roof, land)
+!--             Array of heat flux from indoor window ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1798,5 +1802,5 @@
             CASE ( 'usm_t_surf_wall' )
 !
-!--             surface temperature for surfaces
+!--             Surface temperature for surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1812,5 +1816,5 @@
             CASE ( 'usm_t_surf_window' )
 !
-!--             surface temperature for window surfaces
+!--             Surface temperature for window surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1827,5 +1831,5 @@
             CASE ( 'usm_t_surf_green' )
 !
-!--             surface temperature for green surfaces
+!--             Surface temperature for green surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1842,5 +1846,5 @@
             CASE ( 'usm_theta_10cm' )
 !
-!--             near surface temperature for whole surfaces
+!--             Near surface temperature for whole surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1857,5 +1861,5 @@
             CASE ( 'usm_t_wall' )
 !
-!--             wall temperature for  iwl layer of walls and land
+!--             Wall temperature for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1872,5 +1876,5 @@
             CASE ( 'usm_t_window' )
 !
-!--             window temperature for  iwl layer of walls and land
+!--             Window temperature for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1887,5 +1891,5 @@
             CASE ( 'usm_t_green' )
 !
-!--             green temperature for  iwl layer of walls and land
+!--             Green temperature for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1901,5 +1905,5 @@
             CASE ( 'usm_swc' )
 !
-!--             soil water content for  iwl layer of walls and land
+!--             Soil water content for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1920,5 +1924,5 @@
             CASE ( 'usm_wshf' )
 !
-!--             array of sensible heat flux from surfaces (land, roof, wall)
+!--             Array of sensible heat flux from surfaces (land, roof, wall)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1935,5 +1939,5 @@
             CASE ( 'usm_qsws' )
 !
-!--             array of latent heat flux from surfaces (land, roof, wall)
+!--             Array of latent heat flux from surfaces (land, roof, wall)
                 IF ( l == -1 )  THEN
                 DO  m = 1, surf_usm_h%ns
@@ -1950,5 +1954,5 @@
             CASE ( 'usm_qsws_veg' )
 !
-!--             array of latent heat flux from vegetation surfaces (land, roof, wall)
+!--             Array of latent heat flux from vegetation surfaces (land, roof, wall)
                 IF ( l == -1 )  THEN
                 DO  m = 1, surf_usm_h%ns
@@ -1965,5 +1969,5 @@
             CASE ( 'usm_qsws_liq' )
 !
-!--             array of latent heat flux from surfaces with liquid (land, roof, wall)
+!--             Array of latent heat flux from surfaces with liquid (land, roof, wall)
                 IF ( l == -1 )  THEN
                 DO  m = 1, surf_usm_h%ns
@@ -1980,5 +1984,5 @@
             CASE ( 'usm_wghf' )
 !
-!--             array of heat flux from ground (wall, roof, land)
+!--             Array of heat flux from ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -1995,5 +1999,5 @@
             CASE ( 'usm_wghf_window' )
 !
-!--             array of heat flux from window ground (wall, roof, land)
+!--             Array of heat flux from window ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2010,5 +2014,5 @@
             CASE ( 'usm_wghf_green' )
 !
-!--             array of heat flux from green ground (wall, roof, land)
+!--             Array of heat flux from green ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2025,5 +2029,5 @@
             CASE ( 'usm_iwghf' )
 !
-!--             array of heat flux from indoor ground (wall, roof, land)
+!--             Array of heat flux from indoor ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2040,5 +2044,5 @@
             CASE ( 'usm_iwghf_window' )
 !
-!--             array of heat flux from indoor window ground (wall, roof, land)
+!--             Array of heat flux from indoor window ground (wall, roof, land)
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2055,5 +2059,5 @@
             CASE ( 'usm_t_surf_wall' )
 !
-!--             surface temperature for surfaces
+!--             Surface temperature for surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2070,5 +2074,5 @@
             CASE ( 'usm_t_surf_window' )
 !
-!--             surface temperature for window surfaces
+!--             Surface temperature for window surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2085,5 +2089,5 @@
             CASE ( 'usm_t_surf_green' )
 !
-!--             surface temperature for green surfaces
+!--             Surface temperature for green surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2100,5 +2104,5 @@
             CASE ( 'usm_theta_10cm' )
 !
-!--             near surface temperature for whole surfaces
+!--             Near surface temperature for whole surfaces
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2116,5 +2120,5 @@
             CASE ( 'usm_t_wall' )
 !
-!--             wall temperature for  iwl layer of walls and land
+!--             Wall temperature for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2131,5 +2135,5 @@
             CASE ( 'usm_t_window' )
 !
-!--             window temperature for  iwl layer of walls and land
+!--             Window temperature for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2146,5 +2150,5 @@
             CASE ( 'usm_t_green' )
 !
-!--             green temperature for  iwl layer of walls and land
+!--             Green temperature for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                    DO  m = 1, surf_usm_h%ns
@@ -2161,5 +2165,5 @@
             CASE ( 'usm_swc' )
 !
-!--             soil water content for  iwl layer of walls and land
+!--             Soil water content for  iwl layer of walls and land
                 IF ( l == -1 )  THEN
                 DO  m = 1, surf_usm_h%ns
@@ -2281,6 +2285,6 @@
 
 !
-!-- check if variable exists
-!-- directional variables
+!-- Check if variable exists
+!-- Directional variables
     DO  i = 1, nl1
        DO  j = 1, nd
@@ -2294,5 +2298,5 @@
     IF ( lfound )  GOTO 10
 !
-!-- directional layer variables
+!-- Directional layer variables
     DO  i = 1, nl2
        DO  j = 1, nd
@@ -2388,5 +2392,5 @@
     ENDIF
 !
-!-- naheatlayers
+!-- Naheatlayers
     IF ( naheatlayers > nzt )  THEN
        message_string = 'number of anthropogenic heat layers "naheatlayers" can not be larger ' // &
@@ -2473,5 +2477,5 @@
     IF ( var(1:11) == 'usm_t_wall_'  .AND.  len( TRIM( var ) ) >= 12 )  THEN
 !
-!--     wall layers
+!--     Wall layers
         READ( var(12:12), '(I1)', iostat = istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -2481,5 +2485,5 @@
     IF ( var(1:13) == 'usm_t_window_'  .AND.  len( TRIM( var ) ) >= 14 )  THEN
 !
-!--     window layers
+!--     Window layers
         READ( var(14:14), '(I1)', iostat = istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -2489,5 +2493,5 @@
     IF ( var(1:12) == 'usm_t_green_'  .AND.  len( TRIM( var ) ) >= 13 )  THEN
 !
-!--     green layers
+!--     Green layers
         READ( var(13:13), '(I1)', iostat = istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -2497,5 +2501,5 @@
     IF ( var(1:8) == 'usm_swc_'  .AND.  len( TRIM( var ) ) >= 9 )  THEN
 !
-!--     green layers soil water content
+!--     Green layers soil water content
         READ( var(9:9), '(I1)', iostat = istat ) iwl
         IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
@@ -2508,5 +2512,5 @@
       CASE ( 'usm_surfz' )
 !
-!--       array of surface height (z)
+!--       Array of surface height (z)
           IF ( idsint == iup_u )  THEN
              DO  m = 1, surf_usm_h%ns
@@ -2528,5 +2532,5 @@
       CASE ( 'usm_surfcat' )
 !
-!--       surface category
+!--       Surface category
           IF ( idsint == iup_u )  THEN
              DO  m = 1, surf_usm_h%ns
@@ -2548,5 +2552,5 @@
       CASE ( 'usm_surfwintrans' )
 !
-!--       transmissivity window tiles
+!--       Transmissivity window tiles
           IF ( idsint == iup_u )  THEN
              DO  m = 1, surf_usm_h%ns
@@ -2568,5 +2572,5 @@
       CASE ( 'usm_wshf' )
 !
-!--       array of sensible heat flux from surfaces
+!--       Array of sensible heat flux from surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2608,5 +2612,5 @@
       CASE ( 'usm_qsws' )
 !
-!--       array of latent heat flux from surfaces
+!--       Array of latent heat flux from surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2647,5 +2651,5 @@
       CASE ( 'usm_qsws_veg' )
 !
-!--       array of latent heat flux from vegetation surfaces
+!--       Array of latent heat flux from vegetation surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2686,5 +2690,5 @@
       CASE ( 'usm_qsws_liq' )
 !
-!--       array of latent heat flux from surfaces with liquid
+!--       Array of latent heat flux from surfaces with liquid
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2725,5 +2729,5 @@
       CASE ( 'usm_wghf' )
 !
-!--       array of heat flux from ground (land, wall, roof)
+!--       Array of heat flux from ground (land, wall, roof)
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2764,5 +2768,5 @@
       CASE ( 'usm_wghf_window' )
 !
-!--       array of heat flux from window ground (land, wall, roof)
+!--       Array of heat flux from window ground (land, wall, roof)
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2803,5 +2807,5 @@
       CASE ( 'usm_wghf_green' )
 !
-!--       array of heat flux from green ground (land, wall, roof)
+!--       Array of heat flux from green ground (land, wall, roof)
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2842,5 +2846,5 @@
       CASE ( 'usm_iwghf' )
 !
-!--       array of heat flux from indoor ground (land, wall, roof)
+!--       Array of heat flux from indoor ground (land, wall, roof)
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2881,5 +2885,5 @@
       CASE ( 'usm_iwghf_window' )
 !
-!--       array of heat flux from indoor window ground (land, wall, roof)
+!--       Array of heat flux from indoor window ground (land, wall, roof)
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2920,5 +2924,5 @@
       CASE ( 'usm_t_surf_wall' )
 !
-!--       surface temperature for surfaces
+!--       Surface temperature for surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -2959,5 +2963,5 @@
       CASE ( 'usm_t_surf_window' )
 !
-!--       surface temperature for window surfaces
+!--       Surface temperature for window surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
@@ -3001,5 +3005,5 @@
       CASE ( 'usm_t_surf_green' )
 !
-!--       surface temperature for green surfaces
+!--       Surface temperature for green surfaces
           IF ( av == 0 )  THEN
              IF ( idsint == iup_u )  THEN
